#!/bin/bash

CONFFILE=/opt/ttyPos/conf.ini

if [ -e "$CONFFILE" ] ; then
  TTYPOSPORT=`awk -F "=" '/ttypos_port/ {print $2}' "$CONFFILE" | sed -e 's/"//g' -e 's/,/ /g'`
  COMPORT=`awk -F "=" '/com_port/ {print $2}' "$CONFFILE" | sed -e 's/"//g' -e 's/,/ /g'`
  if [ -n "$COMPORT" ] && [ -n "$TTYPOSPORT" ] ; then
    ln -sf "$TTYPOSPORT" "$COMPORT"
  fi
fi
